Create or update Streaming Locator

puthttps://app.mk.io/api/v1/projects/:project_name/media/streamingLocators/:locator_name

Create or update a Streaming Locator. When updating a streaming locator, only start time, end time and suppressed can be modified.

RBAC Capability Required: ams.streaminglocator.create or ams.streaminglocator.update

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
locator_namestringRequired

Request

This endpoint expects an object.

Loading schema details…

Response

200Updated

Loading schema details…

201Created

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

409Conflict

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…